import { getItem, useMenu } from "@/components/Layout/Menu";
import { Layout } from "@/components/Layout";
import {
  CloudUploadOutlined,
  DatabaseOutlined,
  UnorderedListOutlined,
} from "@ant-design/icons";
import { Outlet } from "react-router";
import { MenuProps } from "antd";

interface AdminDashboardProps {
  children?: JSX.Element;
}

export type MenuItem = Required<MenuProps>["items"][number];

const adminMenuItems: MenuItem[] = [
  getItem("影像", "dicom", <DatabaseOutlined />, [
    getItem("上传", "/upload", <CloudUploadOutlined />),
    getItem("列表", "/list", <UnorderedListOutlined />),
  ]),
];

export const AdminDashboard = (props: AdminDashboardProps) => {
  const { LeftMenu } = useMenu();
  return (
    <Layout leftMenus={<LeftMenu menuItems={adminMenuItems} />}>
      <Outlet />
    </Layout>
  );
};
